Debian Bug report logs - #588444
wicd-daemon: Saves ESSIDs with UTF-8 characters incorrectly in wpasupplicant configuration

version graph

Package: wicd-daemon; Maintainer for wicd-daemon is David Paleino <dapal@debian.org>; Source for wicd-daemon is src:wicd.

Reported by: Axel Beckert <abe@debian.org>

Date: Thu, 8 Jul 2010 13:03:02 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version wicd/1.7.0+ds1-5

Fixed in version wicd/1.7.1~b3-3

Done: David Paleino <dapal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, David Paleino <dapal@debian.org>:
Bug#588444; Package wicd-daemon. (Thu, 08 Jul 2010 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, David Paleino <dapal@debian.org>. (Thu, 08 Jul 2010 13:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wicd-daemon: Saves ESSIDs with UTF-8 characters incorrectly in wpasupplicant configuration
Date: Thu, 08 Jul 2010 02:04:13 +0200
Package: wicd-daemon
Version: 1.7.0+ds1-5
Severity: normal

At a hotel, the ESSID was "Réseau de Hotel du Nord". (It was an "Apple
Airport Something" access point.)

"iwlist scan" showed the essid as "R\xC3\xA9seau de Hotel du Nord" and
wicd saved it in the wpasupplicant configuration in this "\x" escaped
format ("R\xC3\xA9seau de Hotel du Nord") while the UTF-8 encoded ESSID
("Réseau de Hotel du Nord") would have been the right format.

It seems as if wicd should decode the "\x" escapes in ESSIDs back to
real characters/bytes when saving the wpasupplicant configuration to
make such setups work.

I use wicd-curses to select and configure the wireless network. Not sure
if the bug is in wicd-daemon or in wicd-curses. Please feel free to
reassign the bug appropriately.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'stable'), (500, 'testing'), (110, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.34-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wicd-daemon depends on:
ii  adduser                     3.112        add and remove users and groups
ii  cdebconf [debconf-2.0]      0.149        Debian Configuration Management Sy
ii  dbus                        1.2.24-1     simple interprocess messaging syst
ii  debconf [debconf-2.0]       1.5.32       Debian configuration management sy
ii  iproute                     20100519-3   networking and traffic control too
ii  iputils-ping                3:20100418-1 Tools to test the reachability of 
ii  isc-dhcp-client [dhcp3-clie 4.1.1-P1-7   ISC DHCP client
ii  lsb-base                    3.2-23.1     Linux Standard Base 3.2 init scrip
ii  net-tools                   1.60-23      The NET-3 networking toolkit
ii  psmisc                      22.11-1      utilities that use the proc file s
ii  python                      2.6.5-5      An interactive high-level object-o
ii  python-dbus                 0.83.1-1     simple interprocess messaging syst
ii  python-gobject              2.21.1-2     Python bindings for the GObject li
ii  python-iniparse             0.3.2-1      Module to access and modify config
ii  python-wicd                 1.7.0+ds1-5  wired and wireless network manager
ii  udhcpc                      1:1.15.3-1   Provides the busybox DHCP client i
ii  wireless-tools              30~pre9-5    Tools for manipulating Linux Wirel
ii  wpasupplicant               0.6.10-2     client support for WPA and WPA2 (I

Versions of packages wicd-daemon recommends:
ii  wicd-cli [wicd-client]       1.7.0+ds1-5 wired and wireless network manager
ii  wicd-curses [wicd-client]    1.7.0+ds1-5 wired and wireless network manager

Versions of packages wicd-daemon suggests:
ii  pm-utils                      1.3.0-2    utilities and scripts for power ma

Versions of packages wicd depends on:
ii  adduser                     3.112        add and remove users and groups
ii  cdebconf [debconf-2.0]      0.149        Debian Configuration Management Sy
ii  dbus                        1.2.24-1     simple interprocess messaging syst
ii  debconf [debconf-2.0]       1.5.32       Debian configuration management sy
ii  iproute                     20100519-3   networking and traffic control too
ii  iputils-ping                3:20100418-1 Tools to test the reachability of 
ii  isc-dhcp-client [dhcp3-clie 4.1.1-P1-7   ISC DHCP client
ii  lsb-base                    3.2-23.1     Linux Standard Base 3.2 init scrip
ii  net-tools                   1.60-23      The NET-3 networking toolkit
ii  psmisc                      22.11-1      utilities that use the proc file s
ii  python                      2.6.5-5      An interactive high-level object-o
ii  python-dbus                 0.83.1-1     simple interprocess messaging syst
ii  python-glade2               2.17.0-2     GTK+ bindings: Glade support
ii  python-gtk2                 2.17.0-2     Python bindings for the GTK+ widge
ii  python-support              1.0.9        automated rebuilding support for P
ii  python-urwid                0.9.9.1-1    curses-based UI/widget library for
ii  udhcpc                      1:1.15.3-1   Provides the busybox DHCP client i
ii  wireless-tools              30~pre9-5    Tools for manipulating Linux Wirel
ii  wpasupplicant               0.6.10-2     client support for WPA and WPA2 (I

wicd-cli depends on no packages.

Versions of packages wicd-curses depends on:
ii  python                        2.6.5-5    An interactive high-level object-o
ii  python-urwid                  0.9.9.1-1  curses-based UI/widget library for

Versions of packages python-wicd depends on:
ii  python                        2.6.5-5    An interactive high-level object-o
ii  python-support                1.0.9      automated rebuilding support for P




Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588444; Package wicd-daemon. (Tue, 13 Jul 2010 14:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mauro Darida <mauro.darida@istruzione.it>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Tue, 13 Jul 2010 14:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 588444@bugs.debian.org (full text, mbox):

From: Mauro Darida <mauro.darida@istruzione.it>
To: 588444@bugs.debian.org
Subject: Re: [Pkg-lyx-devel] Bug#588448: lyx: ERT code produces error:SOLVED
Date: Tue, 13 Jul 2010 15:44:07 +0200
On Thursday 08 July 2010 15:53:27 you wrote:
> On Thu, Jul 08, 2010 at 03:47:41PM +0200, Mauro Darida wrote:
>
> Hi Mauro,
>
> > When inserting the following ERT code:
>
> Please attach a small sample document so that we can easily test it.
>
I have found the solution: in Document/Settings/Math Options
select: Use AMS math package automatically

This is necessary because the empheq package requires AMS math. Please note 
that just selecting "Use AMS math package" won't work.



-- 
Se la terra si muove de facto, noi non possiamo mutar la natura e far che ella 
non si muova.
Galileo Galilei, Lettera a Elia Diodati, 15 gennaio 1633




Added tag(s) upstream and fixed-upstream. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Thu, 15 Dec 2011 19:21:03 GMT) Full text and rfc822 format available.

Reply sent to David Paleino <dapal@debian.org>:
You have taken responsibility. (Fri, 16 Dec 2011 11:51:58 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Fri, 16 Dec 2011 11:52:31 GMT) Full text and rfc822 format available.

Message #17 received at 588444-close@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 588444-close@bugs.debian.org
Subject: Bug#588444: fixed in wicd 1.7.1~b3-3
Date: Fri, 16 Dec 2011 11:50:09 +0000
Source: wicd
Source-Version: 1.7.1~b3-3

We believe that the bug you reported is fixed in the latest version of
wicd, which is due to be installed in the Debian FTP archive:

python-wicd_1.7.1~b3-3_all.deb
  to main/w/wicd/python-wicd_1.7.1~b3-3_all.deb
wicd-cli_1.7.1~b3-3_all.deb
  to main/w/wicd/wicd-cli_1.7.1~b3-3_all.deb
wicd-curses_1.7.1~b3-3_all.deb
  to main/w/wicd/wicd-curses_1.7.1~b3-3_all.deb
wicd-daemon_1.7.1~b3-3_all.deb
  to main/w/wicd/wicd-daemon_1.7.1~b3-3_all.deb
wicd-gtk_1.7.1~b3-3_all.deb
  to main/w/wicd/wicd-gtk_1.7.1~b3-3_all.deb
wicd_1.7.1~b3-3.debian.tar.gz
  to main/w/wicd/wicd_1.7.1~b3-3.debian.tar.gz
wicd_1.7.1~b3-3.dsc
  to main/w/wicd/wicd_1.7.1~b3-3.dsc
wicd_1.7.1~b3-3_all.deb
  to main/w/wicd/wicd_1.7.1~b3-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588444@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Paleino <dapal@debian.org> (supplier of updated wicd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Dec 2011 12:33:29 +0100
Source: wicd
Binary: wicd wicd-daemon wicd-gtk wicd-curses wicd-cli python-wicd
Architecture: source all
Version: 1.7.1~b3-3
Distribution: unstable
Urgency: low
Maintainer: David Paleino <dapal@debian.org>
Changed-By: David Paleino <dapal@debian.org>
Description: 
 python-wicd - wired and wireless network manager - Python module
 wicd       - wired and wireless network manager - metapackage
 wicd-cli   - wired and wireless network manager - scriptable console client
 wicd-curses - wired and wireless network manager - Curses client
 wicd-daemon - wired and wireless network manager - daemon
 wicd-gtk   - wired and wireless network manager - GTK+ client
Closes: 588444 612981 651804 651933
Changes: 
 wicd (1.7.1~b3-3) unstable; urgency=low
 .
   * More backports from upstream:
     - fix various translation bugs (Closes: #651804)
     - fix check for configfile existence (Closes: #651933)
     - fix various issues with unicode (Closes: #588444, #612981)
Checksums-Sha1: 
 c8a851493eebb318f8a8f2dbdeb25d235acb4310 1444 wicd_1.7.1~b3-3.dsc
 b93bf4659b288e2b9aa803c0fefe9c8ace48689d 32126 wicd_1.7.1~b3-3.debian.tar.gz
 fb1770095e7cf4f3333f5dfffca569499f405b12 14506 wicd_1.7.1~b3-3_all.deb
 6b34f2e2ab55d1f602b3e2d907b28a45e9c7b256 244034 wicd-daemon_1.7.1~b3-3_all.deb
 cc7611115329c896308a7de7d68b86668865ae89 116310 wicd-gtk_1.7.1~b3-3_all.deb
 d967c14fd69d868e9f290957510895f42920d3c3 43912 wicd-curses_1.7.1~b3-3_all.deb
 17e5c0011c52d757fdb8afe03503fb33f3b74cd4 17640 wicd-cli_1.7.1~b3-3_all.deb
 86b1c137238b68b4bccb47e66f20ffce69a49375 49298 python-wicd_1.7.1~b3-3_all.deb
Checksums-Sha256: 
 91240b4137764e3f74fadacd871ad1a81175adfe39f9b7e752f5b9e60ebafb5f 1444 wicd_1.7.1~b3-3.dsc
 9aff0225fbe3b9e8b39a638c13135762f818c762b16c42ce63185ce1f8094e2d 32126 wicd_1.7.1~b3-3.debian.tar.gz
 53dbea5588a0c9959d9c4d136e69eec974cdb67f17f8d65804b77db67d29c7a1 14506 wicd_1.7.1~b3-3_all.deb
 15ee5df6014267b956046f7838b33dcce24128ddccab81bc9e9365a7c9f28331 244034 wicd-daemon_1.7.1~b3-3_all.deb
 ae8633a919dcb6f73cef7195de4518a01be526324a6519cda6c22827f67229c5 116310 wicd-gtk_1.7.1~b3-3_all.deb
 e7b230018aea2dd4501c38e5cf3721358d7e82ec62e922264c9d348633c1d3ce 43912 wicd-curses_1.7.1~b3-3_all.deb
 b547b80f202d5e54f72571168b45468359308376d68df18f0db0d3f8d0d9c54b 17640 wicd-cli_1.7.1~b3-3_all.deb
 1a41286e1f700ec229507ba69b7886d85927d7ee374ebf89a928a81e572087b5 49298 python-wicd_1.7.1~b3-3_all.deb
Files: 
 72586b02f1a296253525958998e548cb 1444 net optional wicd_1.7.1~b3-3.dsc
 64c6e6e1b506ba9686cefa84153e95eb 32126 net optional wicd_1.7.1~b3-3.debian.tar.gz
 78a07a1965bcaf378ac75b9f4d32e216 14506 net optional wicd_1.7.1~b3-3_all.deb
 08dbe8bc782b070165d33733176745cb 244034 net optional wicd-daemon_1.7.1~b3-3_all.deb
 9938ac4ed7611cb5a441c05aa0fa5138 116310 net optional wicd-gtk_1.7.1~b3-3_all.deb
 5192197465042052e63714dea7139ad6 43912 net optional wicd-curses_1.7.1~b3-3_all.deb
 deb20fa1bcc1ffb9281c137e099d6f6c 17640 net optional wicd-cli_1.7.1~b3-3_all.deb
 392b11e674c597521e1942d939f6ed54 49298 python optional python-wicd_1.7.1~b3-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7rLeMACgkQ5qqQFxOSsXRzWACfVW7u4JG4bNxdQsa6oMPRHhyU
RXIAnR64cc+O1q2Sl0XCiEq8Mh2qvADh
=/KiF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Feb 2012 07:35:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:51:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.